#-------------------------------------------------------------------------------
# Copyright 2008-2012 Istituto Nazionale di Fisica Nucleare (INFN)
#
# Licensed under the EUPL, Version 1.1 only (the "Licence").
# You may not use this work except in compliance with the Licence.
# You may obtain a copy of the Licence at:
#
# http://joinup.ec.europa.eu/system/files/EN/EUPL%20v.1.1%20-%20Licence.pdf
#
# Unless required by applicable law or agreed to in
# writing, software distributed under the Licence is
# distributed on an "AS IS" basis,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
# either express or implied.
# See the Licence for the specific language governing
# permissions and limitations under the Licence.
#-------------------------------------------------------------------------------

%(!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib(1))"))
%define os sl5

%define python_version 2.4
%define is_eq %(test %python_version == 2.4 && echo 1 || echo 0)

Name:    wnodes_utils
Version: 2.0.4
Release: 2%{?dist}
Vendor:  INFN CNAF
License: EUPL
URL:     http://web.infn.it/wnodes/ 
Group: Library
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}-%{version}
BuildArch: noarch
Distribution: any
Packager: elisabetta ronchieri elisabetta.ronchieri@cnaf.infn.it
Summary: INFN CNAF WNODES UTILS

BuildRequires: automake
BuildRequires: python
Requires: python
Requires: pyOpenSSL
%if %is_eq
Requires: python-hashlib
%endif

%description
It contains utils of WNODES.

%prep
echo Building %{name}-%{version}

%setup -q -n %{name}-%{version}

%build
/bin/sh auto.sh
./configure --prefix=/usr --datadir=/usr/share --sysconfdir=/etc --exec_prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT/
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%dir %{_sysconfdir}/wnodes/
%dir %{_sysconfdir}/wnodes/utils
%config(noreplace) %{_sysconfdir}/wnodes/utils/qstat_queued.xml
%config(noreplace) %{_sysconfdir}/wnodes/utils/qstat_running.xml

%defattr(-, root, root, 0755)
%dir %{python_sitelib}/wnodes/
%{python_sitelib}/wnodes/__init__.py
%{python_sitelib}/wnodes/__init__.pyc
%{python_sitelib}/wnodes/__init__.pyo
%dir %{python_sitelib}/wnodes/tests
%{python_sitelib}/wnodes/tests/__init__.py
%{python_sitelib}/wnodes/tests/__init__.pyc
%{python_sitelib}/wnodes/tests/__init__.pyo
%{python_sitelib}/wnodes/tests/test_batch_lsf.py
%{python_sitelib}/wnodes/tests/test_batch_lsf.pyc
%{python_sitelib}/wnodes/tests/test_batch_lsf.pyo
%{python_sitelib}/wnodes/tests/test_batch_pbs.py
%{python_sitelib}/wnodes/tests/test_batch_pbs.pyc
%{python_sitelib}/wnodes/tests/test_batch_pbs.pyo
%{python_sitelib}/wnodes/tests/test_utils.py
%{python_sitelib}/wnodes/tests/test_utils.pyc
%{python_sitelib}/wnodes/tests/test_utils.pyo
%dir %{python_sitelib}/wnodes/utils
%{python_sitelib}/wnodes/utils/__init__.py
%{python_sitelib}/wnodes/utils/__init__.pyc
%{python_sitelib}/wnodes/utils/__init__.pyo
%{python_sitelib}/wnodes/utils/batch_lsf.py
%{python_sitelib}/wnodes/utils/batch_lsf.pyc
%{python_sitelib}/wnodes/utils/batch_lsf.pyo
%{python_sitelib}/wnodes/utils/batch_pbs.py
%{python_sitelib}/wnodes/utils/batch_pbs.pyc
%{python_sitelib}/wnodes/utils/batch_pbs.pyo
%{python_sitelib}/wnodes/utils/batch_system.py
%{python_sitelib}/wnodes/utils/batch_system.pyc
%{python_sitelib}/wnodes/utils/batch_system.pyo
%{python_sitelib}/wnodes/utils/command.py
%{python_sitelib}/wnodes/utils/command.pyc
%{python_sitelib}/wnodes/utils/command.pyo
%{python_sitelib}/wnodes/utils/plugins_generic.py
%{python_sitelib}/wnodes/utils/plugins_generic.pyc
%{python_sitelib}/wnodes/utils/plugins_generic.pyo
%{python_sitelib}/wnodes/utils/PyRSS2Gen.py
%{python_sitelib}/wnodes/utils/PyRSS2Gen.pyc
%{python_sitelib}/wnodes/utils/PyRSS2Gen.pyo
%{python_sitelib}/wnodes/utils/tail.py
%{python_sitelib}/wnodes/utils/tail.pyc
%{python_sitelib}/wnodes/utils/tail.pyo
%{python_sitelib}/wnodes/utils/utils.py
%{python_sitelib}/wnodes/utils/utils.pyc
%{python_sitelib}/wnodes/utils/utils.pyo
%{python_sitelib}/wnodes/utils/threadpool.py
%{python_sitelib}/wnodes/utils/threadpool.pyc
%{python_sitelib}/wnodes/utils/threadpool.pyo
%{python_sitelib}/wnodes/utils/wsocket.py
%{python_sitelib}/wnodes/utils/wsocket.pyc
%{python_sitelib}/wnodes/utils/wsocket.pyo

%dir %{python_sitelib}/wnodes/utils/plugins
%{python_sitelib}/wnodes/utils/plugins/__init__.py
%{python_sitelib}/wnodes/utils/plugins/__init__.pyc
%{python_sitelib}/wnodes/utils/plugins/__init__.pyo
%{python_sitelib}/wnodes/utils/plugins/plugin_lsf.py
%{python_sitelib}/wnodes/utils/plugins/plugin_lsf.pyc
%{python_sitelib}/wnodes/utils/plugins/plugin_lsf.pyo
%{python_sitelib}/wnodes/utils/plugins/plugin_mount.py
%{python_sitelib}/wnodes/utils/plugins/plugin_mount.pyc
%{python_sitelib}/wnodes/utils/plugins/plugin_mount.pyo
%{python_sitelib}/wnodes/utils/plugins/plugin_pbs.py
%{python_sitelib}/wnodes/utils/plugins/plugin_pbs.pyc
%{python_sitelib}/wnodes/utils/plugins/plugin_pbs.pyo
%{python_sitelib}/wnodes/utils/plugins/plugin_ssh.py
%{python_sitelib}/wnodes/utils/plugins/plugin_ssh.pyc
%{python_sitelib}/wnodes/utils/plugins/plugin_ssh.pyo
%{python_sitelib}/wnodes/utils/plugins/plugin_uselvm.py
%{python_sitelib}/wnodes/utils/plugins/plugin_uselvm.pyc
%{python_sitelib}/wnodes/utils/plugins/plugin_uselvm.pyo

%doc %dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/CREDITS
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE-en.pdf
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE-it.pdf
%doc %{_datadir}/doc/%{name}-%{version}/README

%changelog
* Mon Aug 13 2012 Elisabetta Ronchieri
- Mv db_interface in the cachemanager component

* Wed Jun 13 2012 Gianni Dalla Torre
- Added threadpool

* Mon Apr 10 2012 Elisabetta Ronchieri
- Added text

* Fri Apr 6 2012 Elisabetta Ronchieri
- Added guid 
- Added extra unit tests

* Mon Apr 2 2012 Elisabetta Ronchieri
- Refactored batch classes adding batch_pbs and batch_lsf
- Improved code style by using pep8

* Thu Oct 7 2011 Gianni Dalla Torre
- Added batch, db_interface, plugin_generic, plugin_lsf, plugin_mount, plugin_pbs, plugin_ssh, plugin_uselvm

* Thu Jul 14 2011 Elisabetta Roncheiri
- Added wsocket

* Thu May 12 2011 Elisabetta Roncheiri
- Changed the managing of spec file
- Changed spec settings for LICENSE, Group

* Wed Mar 10 2010 Elisabetta Roncheiri 
- Changed the managing of spec file
